Public Class Form1
    
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim x As String
        If CheckBox1.Checked = True Then
            x &= " water"
        End If
        If CheckBox2.Checked = True Then
            x &= " juice"
        End If
        If CheckBox3.Checked = True Then
            x &= " wine"
        End If
        If x = "" Then
            TextBox1.Text = "No order"
        Else
            TextBox1.Text = "Your order is" & x
        End If
    End Sub

    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged

    End Sub
End Class
